/* IMPORT */
@import url('https://fonts.googleapis.com/css2?family=Lexend:wght@100..900&display=swap');

*{
    margin: 0;
    flex-wrap: wrap;
}

body{
    font-family: "Lexend";
    color: white;
}

.background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background:  url(./bg.webp);
    background-size: cover, cover;
    background-position: center, center;
    z-index: -1;
  }


/* HEADER */

header{
    height: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 16px;
    padding: 16px;
}

header a{
    width: 15%;
}

.welcome{
    font-style: italic;
    text-align: center;
}

/* MAIN */

main{
    margin: 0% 22% 2%;
    background: rgba( 255, 255, 255, 0.1 );
    box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
    border-radius: 10px;
    border: 5px solid white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    padding: 2% 3%;
}

main>*{
    margin-bottom: 5%;
}

.theme-buttons{
    display: flex;
    gap: 20px;
}

.theme-buttons button{
    color: white;
    border: 3px solid white;
    padding: 10px 15px;
    background: none;
    cursor: pointer;
    border-radius: 10px;
    font-family: "Lexend";
    font-weight: 600;
}

.theme-buttons .new{
overflow:hidden;
  border-radius:30px;
  transition: all .2s linear;
  background: -webkit-linear-gradient(-45deg, rgba(38,43,193,1) 1%,rgba(214,85,128,1) 100%);
  border: 2px solid white;
}

.theme-buttons button.active{
    background-color: white;
    color: #344EDB;
}

.word-length{
    position: fixed;
    bottom: 3%;
    left: 5%;
    width: 100%;
    font-size: 10vw;
    opacity: 0;
    pointer-events: none;
    font-weight: 700;
    transition: .3s;
}

#data-container{
    width: 100%;
    line-height: 1.5;
    cursor: default;
}

#data-container *{
    margin-bottom: 5px;
    cursor: default;
}

#data-container span{
    background-color: #344EDB;
    transition: .2s;
}

#data-container span:hover{
    background-color: #3d90e3;
    transition: .2s;
}

h2 {
  text-align: center;
  display: flex;
  flex-direction: column;
  width: 100%;
  align-items: center;
}

h2 span{
    color: #08fa8e;
}

h2 a{
    color: #e31025;
}

h2 img {
  width: 35px;
  border-radius: 50%;
  aspect-ratio: 1/1;
}

h2 p{
    gap: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

span.bold{
    font-weight: 800;
}

.inputs{
    display: flex;
    justify-content: space-between;
    width: 80%;
}

.inputs input, .inputs button{
    padding: 10px;
    border-radius: 10px;
    border: none;
    font-family: "Lexend";
    border: 3px solid white;
}

.inputs button{
    color: white;
    border: 3px solid white;
    padding: 10px 15px;
    background: none;
    cursor: pointer;
}


.inputs button a{
    color: white;
    text-decoration: none;
}

.inputs button:hover a{
    color: #344EDB;
}
    

.inputs button:hover{
    color: #344EDB;
    background-color: white;
}

.credits{
    display: flex;
    width: 100%;
    justify-content: center;
    gap: 5%;
    margin-bottom: 50px;
}

.credits a{
    color: #3d90e3;
    font-weight: 800;
    font-size: 1.2rem;
    font-style: italic;
    text-decoration: none;
}

.credits a:hover{
    color: #45c3f5;
}

/* --- FOOTER --- */

footer{
    position: fixed;
    bottom: 0;
    padding: 32px;
    right: 0;
}

footer p{
    font-weight: 300;
    writing-mode: vertical-rl;
    text-orientation: upright;
    letter-spacing: -2px;
    color: rgba(255, 255, 255, 1);
    text-decoration: none;
    cursor: pointer;
}



@media screen and (max-width: 1350px) {
    body{
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    
    main{
        margin: 0% 2% 5%;
    }
    
    header a{
        width: 50%;
    }
    
    header{
        flex-direction: column;
    }
    
    .inputs{
        gap: 10px;
    }
    
    .input{
        width: 100%;
    }
    
    footer{
        display: none;
    }
}
